<?php

add_action('plugins_loaded', 'wpap_fp_int_plugins_loaded_handler');

function wpap_fp_int_plugins_loaded_handler() {
    add_action('admin_menu', 'wpap_fp_int_admin_menu');
}

function wpap_fp_int_admin_menu() {
    $parent_slug = WP_AFF_PLATFORM_PATH . 'wp_affiliate_platform1.php';
    $page_title = "Formidable Forms";
    $menu_title = "Formidable Forms";
    add_submenu_page($parent_slug, $page_title, $menu_title, 'manage_options', 'wpap-fp-int-addon', 'wpap_fp_int_addon_settings_page');
}

function wpap_fp_int_addon_settings_page() {
    echo '<div class="wrap">';
    echo '<h2>Formidable Pro Integration Addon</h2>';
    
    echo '<div id="poststuff"><div id="post-body">';    

    if (isset($_POST['wpap_fp_int_settings_update'])) {

        $options = array(
            'lead_capture_enabled' => isset($_POST["lead_capture_enabled"]) ? '1' : '',
            'lc_form_exclusion' => trim($_POST["lc_form_exclusion"]),
        );
        update_option('wpap_fp_int_settings', $options); //store the results in WP options table

        echo '<div id="message" class="updated fade"><p>';
        echo '<strong>Options Updated!';
        echo '</strong></p></div>';
    }

    $addon_options = get_option('wpap_fp_int_settings');
    if ($addon_options) {
        $lead_capture_enabled = $addon_options['lead_capture_enabled'];
        $lc_form_exclusion = $addon_options['lc_form_exclusion'];
    } else {
        $lead_capture_enabled = '';
        $lc_form_exclusion = '';
    }

    ?>

    <form method="post" action="">	

        <div class="postbox">
            <h3 class="hndle"><label for="title">Lead Capture Settings</label></h3>
            <div class="inside">
                <table class="form-table">

                    <tr valign="top">
                        <td width="25%" align="left">
                            Enable Lead Capture
                        </td>
                        <td align="left">
                            <input name="lead_capture_enabled" type="checkbox"<?php if ($lead_capture_enabled != '') echo ' checked="checked"'; ?> value="1"/>
                            <p class="description">Check this if you want to enable lead capture on formidable pro form submission.</p>
                        </td>
                    </tr>

                    <tr valign="top">
                        <td width="25%" align="left">
                            Lead Capture Form Exclusion List (optional)
                        </td>
                        <td align="left">
                            <input name="lc_form_exclusion" type="text" size="70" value="<?php echo $lc_form_exclusion; ?>"/>
                            <p class="description">If you have multiple forms and you want to exclude a particular form (example, your general contact form) from the lead capture pool then specify the ID of that form (example, 2500) in the above field. You can add multiple form IDs separated by comma to exclude multiple forms.</p>
                        </td>
                    </tr>
                    
                </table>             
            </div></div>

        <div class="submit">
            <input type="submit" class="button-primary" name="wpap_fp_int_settings_update" value="Update" />
        </div>  
    </form>
    <?php
    echo '</div></div>';
    echo '</div>';
}